/* ErrorLog.c
   Ein Teil von FoxIRC (C)by Dario Abatianni (eisfuchs@tigress.com)

   Fehlerprotokoll */

#include "../Forms/ErrorLog.c"
#include "Preferences.h"
#include "ErrorLog.h"

FD_ErrorLog *initerrorlog()
{
  FD_ErrorLog *errorlog;

  errorlog=create_form_ErrorLog();
  return errorlog;
}

void openerrorlog(FD_ErrorLog *errorlog)
{
  if(errorlog==0) setformgeo(errorlog->ErrorLog,&prefs.geoerror);

  fl_set_form_icon(errorlog->ErrorLog,iconid,maskid);
  fl_show_form(errorlog->ErrorLog,FL_PLACE_POSITION,FL_FULLBORDER,"FoxIRC-Fehlerprotokoll");
  fl_set_atclose(closewindow,0);
}

FD_ErrorLog *errorlogcontrol(FD_ErrorLog *errorlog,FL_OBJECT *select)
{
  int quit;

  quit=0;

  if(select==errorlog->Close) quit=1;

  if(quit)
  {
    fl_hide_form(errorlog->ErrorLog);
    saveformgeo(errorlog->ErrorLog,&prefs.geoerror);
//    errorlog=0;
  }

  return errorlog;
}

void logerror(FD_ErrorLog *errorlog,char *text)
{
  if(errorlog==0) printf("logerror(): errorlog==0! Error was: %s\n",text);
  else
  {
    fl_addto_browser(errorlog->ErrorText,text);
  }
}
