/* Constants.h
   Ein Teil von FoxIRC (C)by Dario Abatianni (eisfuchs@tigress.com)

   Die Konstanten fr diverse Unterprogramme. */

#define PREFNAME    "FoxIRC.prefs"
#define PREFNAMERC  ".foxirc"

#define COL_BG        FL_FREE_COL1
#define COL_TEXT      FL_FREE_COL1+1
#define COL_SERVER    FL_FREE_COL1+2
#define COL_QUERY     FL_FREE_COL1+3
#define COL_HILIGHT   FL_FREE_COL1+4
#define COL_CTCP      FL_FREE_COL1+5
#define COL_DCC       FL_FREE_COL1+6
#define COL_PRG       FL_FREE_COL1+7
#define COL_ACTION    FL_FREE_COL1+8
#define COL_PREVIEW   FL_FREE_COL1+9
#define COL_PREVIEWBG FL_FREE_COL1+10
#define COL_DIR       FL_FREE_COL1+11
#define COL_FILE      FL_FREE_COL1+12
#define COL_DCCGET    FL_FREE_COL1+13
#define COL_DCCSEND   FL_FREE_COL1+14
#define COL_MAX       14

#define LINELEN      512
#define NICKLEN      20

#define MAXPART      10
#define MAXLINEHIST  20
#define MAXNICKHIST  20
#define MAXREAL      30
#define MAXIDENT     16
#define MAXDCC       4
#define MAXSERVER  51
#define MAXCHANNEL 51
#define MAXNICKNUM  4

#define BUTLEN       16
#define DCCGETBUF    1024
#define DCCSENDBUF   1024

#define INITMODE_WALLOP    4     /* User mode w = Wallop? */
#define INITMODE_INVISIBLE 8     /* "Du machst dich unsichtbar" beim Login */

#define WINDOW_MAIN       1
#define WINDOW_ISON       2
#define WINDOW_UPDATE     3
